import util from '@/utils/util.js'
let orderApiFun = function(vm){
	let listByRecommendOrder		= async (params = {}) => await vm.$u.get('/wxh-worker-rest/rest/recommend/order', params);
	/**
	 * 工单数量查询接口
	 */
	let listOrderCount	= async (params = {}) => await vm.$u.get('http://apidoc.banshouhui.com:3000/mock/31/wxh-worker-rest/rest/'+ vm.vuex_token+'/order/queryOrdersCount/V2', params);
	
	/**
	 * 工单列表接口
	 */
	let listOrder	= async (params = {}) => await vm.$u.get('http://apidoc.banshouhui.com:3000/mock/31/wxh-worker-rest/rest/'+ vm.vuex_token+'/order/revision/list', params);
	
	/**
	 * 获取师傅的预约日历
	 */
	let workerCalendar	= async (params = {}) => await vm.$u.get('http://apidoc.banshouhui.com:3000/mock/31/wxh-worker-rest/rest/'+ vm.vuex_token+'/wokerOrder/appointment/calendar', params);
	
	/**
	 * 师傅预约
	 */
	let workerAppointment	= async (params = {}) => await vm.$u.post('http://apidoc.banshouhui.com:3000/mock/31/wxh-worker-rest/rest/order/traceAndAppointment/traceOrder/'+ vm.vuex_token+'/order/{orderId}', params,{'content-type': 'application/x-www-form-urlencoded'});
	
	// 联系顾客时间更新接口，暂时没有
	
	/**
	 * 师傅签到接口 
	 */
	let maintainWorkerCheckin	= async (params = {}) => await vm.$u.post('http://apidoc.banshouhui.com:3000/mock/31/wxh-worker-rest/rest/'+ vm.vuex_token+'/order/{orderId}/maintainWorkerCheckin', params,{'content-type': 'application/x-www-form-urlencoded'});
	
	
	const orderApi = {
		listByRecommendOrder,
		listOrderCount,
		listOrder,
		workerCalendar,
		workerAppointment,
		maintainWorkerCheckin
	}
	return orderApi
}
module.exports =  {
	orderApiFun
}